%define upstream_name File-Flock
%define upstream_version 2014.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	File locking with flock
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(AnyEvent)
BuildRequires:	perl(Data::Structure::Util)
BuildRequires:	perl(IO::Event)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::SharedFork)

BuildArch:	noarch

%{?perl_default_filter}

%description
Lock files using the flock() call. If the file to be locked does not
exist, then the file is created. If the file was created then it will be
removed when it is unlocked assuming it's still an empty file.

Locks can be created by new'ing a File::Flock object. Such locks are
automatically removed when the object goes out of scope. The unlock()
method may also be used.

lock_rename() is used to tell File::Flock when a file has been renamed
(and thus the internal locking data that is stored based on the filename
should be moved to a new name). unlock() the new name rather than the
original name.

Locks are released on process exit when the process that created the
lock exits. Subprocesses that exit do not remove locks. Use
forget_locks() or POSIX::_exit() to prevent unlocking on process exit.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2014.10.0-10.mga9
+ Revision: 1803630
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2014.10.0-9.mga8
+ Revision: 1494485
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2014.10.0-8.mga7
+ Revision: 1268003
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2014.10.0-7.mga6
+ Revision: 1027306
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 2014.10.0-6.mga6
+ Revision: 971518
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 2014.10.0-5.mga6
+ Revision: 891838
- BR perl(Module::Build))

* Wed Oct 15 2014 umeabot <umeabot> 2014.10.0-4.mga5
+ Revision: 742351
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2014.10.0-3.mga5
+ Revision: 732135
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2014.10.0-2.mga5
+ Revision: 684730
- Mageia 5 Mass Rebuild

* Fri Jul 18 2014 sander85 <sander85> 2014.10.0-1.mga5
+ Revision: 653628
- update to 2014.01

* Sun Oct 20 2013 umeabot <umeabot> 2013.110.0-2.mga4
+ Revision: 536775
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 2013.110.0-1.mga4
+ Revision: 485555
- update to 2013.11

* Thu Sep 12 2013 sander85 <sander85> 2013.90.0-1.mga4
+ Revision: 478031
- update to 2013.09

* Sat Aug 03 2013 sander85 <sander85> 2013.80.0-1.mga4
+ Revision: 463017
- imported package perl-File-Flock

